Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.validators
Class ValueRequiredValidator

    java.lang.Object
      org.eclipse.birt.report.model.validators.AbstractSemanticValidator
          org.eclipse.birt.report.model.validators.AbstractPropertyValidator
              org.eclipse.birt.report.model.api.validators.ValueRequiredValidator

    public class ValueRequiredValidator

extends org.eclipse.birt.report.model.validators.AbstractPropertyValidator

Validates the property value is required.

### Rule

The rule is that the value should be provided for one required property.

### Applicability

This validator is only applied to the required properties of `DesignElement`.

Field Summary
`static java.lang.String` | `NAME` Name of this validator

Fields inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator
`modules, name`

Constructor Summary
`ValueRequiredValidator()`

Method Summary
`static ValueRequiredValidator` | `getInstance()` Returns the singleton validator instance.
`java.util.List` | `validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element, java.lang.String propName)` Validates whether value is set for the given required property.

Methods inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator
`canApplyToDesign, canApplyToLibrary, getName, isTemplateParameterDefinition, setModules, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

  Name of this validator

  See Also:
    Constant Field Values

Constructor Detail

### ValueRequiredValidator

    public ValueRequiredValidator()

Method Detail

### getInstance

    public static ValueRequiredValidator getInstance()

  Returns the singleton validator instance.

  Returns:
    the validator instance

### validate

    public java.util.List validate(org.eclipse.birt.report.model.core.Module module,
                                   org.eclipse.birt.report.model.core.DesignElement element,
                                   java.lang.String propName)

  Validates whether value is set for the given required property.

  Specified by:
    `validate` in class `org.eclipse.birt.report.model.validators.AbstractPropertyValidator`
  Parameters:
    `module` - the module
    `element` - the element holding this required property
    `propName` - the name of the property to validate
  Returns:
    error list, each of which is the instance of `SemanticException`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.